Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dstc.security.smime
Interface AddressMismatch

public interface AddressMismatch
extends Warning

An interface to represent a Warning generated from a mismatch between a sender e-mail address and address(es) in the sender certificate. More specifically, an AddressMismatch will be generated during a signed message verification if none of the sender addresses match any of the email addresses in the signer certificate, or if the signer certificate contains no email addresses.

Such a mismatch is considered non-fatal in S/MIME v3, and therefore does not result in an SMIMEException thrown during verification.

See Also:
  `VerificationResult`, `Warning`

Method Summary
`String[]` | `getEmailAddressInCertificate()` Returns the distinct e-mail address(es) contained in the signer certificate, or an empty array if there are none.
`String[]` | `getEmailAddressInMessage()` Returns the distinct email address(es) in the From: or Sender: header in the S/MIME message that was verified, or an empty array if none exists.

Methods inherited from interface com.dstc.security.smime.Warning
`getWarningString`

Method Detail

### getEmailAddressInCertificate

    public String[] getEmailAddressInCertificate()

  Returns the distinct e-mail address(es) contained in the signer certificate, or an empty array if there are none. Email addresses in X.509 v3 certificates can appear either (or both) in the Subject distinguished name or as one or more SubjectAltName extension.

### getEmailAddressInMessage

    public String[] getEmailAddressInMessage()

  Returns the distinct email address(es) in the From: or Sender: header in the S/MIME message that was verified, or an empty array if none exists.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD